// String: greeting
// Спросите у пользователя имя, и поприветствуйте его с помощью alert.
{
    const hello = prompt('Как Вас зовут?', 'Введите Ваше имя')
    alert(`Приветствую Вас, ${hello}!`)
}



// String: gopni4ek
// Попросите пользователя ввести строку через prompt.Используя split и join сделайте что бы после любой запятой следовало слово блин, .
{
    const str = prompt('Введите, пожалуйста, любую фразу, используя запятые')
    const result = str.split(',').join(',блин')
    alert(result)
}



// String: capitalize
// Преобразуйте строку, введенную пользователем, таким образом, что бы первая буква становилась большой, а остальные - маленькими:
{
    const str = prompt('вВедиТЕ любу СТРОКУ в поле ниже И увидите маГИю!')
    const result = `${str[0].toUpperCase()}${str.slice(1).toLowerCase()}`
    alert(result)
}



// String: word count
// Посчитайте количество слов в строке.Используйте разбиение по пробелам.Длина массива называется так же, как и длина строки.
{
    const str = 'Введите любу строку в поле ниже и увидите магию!'
    const length = str.length
    const arrLength = str.split(' ').length
    console.log(length)
    console.log(arrLength)
}



// String: credentials
// Спросите у пользователя ФИО, используя prompt трижды.Выкиньте лишние пробелы, используя.trim
// Используя String: capitalize сделайте так, что бы каждое слово в ФИО было с большой буквы, а остальные - маленькие
// Объедините эти три строки в одну переменную fullName и выведите куда - то(alert, console.log).Не забудьте пробелы между словами.
{
    const surname = (prompt('Ввеедиет Вашу Фамилию в поле ниже')).trim()
    const name = (prompt('Ввеедиет Ваше Имя в поле ниже')).trim()
    const patronymic = (prompt('Ввеедиет Ваше Отчество в поле ниже')).trim()

    const fullName = `${surname[0].toUpperCase()}${surname.slice(1).toLowerCase()} ${name[0].toUpperCase()}${name.slice(1).toLowerCase()} ${patronymic[0].toUpperCase()}${patronymic.slice(1).toLowerCase()}`
    alert(fullName)
}



// String: beer
// Не используя.replace замените слово пиво в строке на слово чай
{
    const str = "Было жарко. Василий пил пиво вприкуску с креветками"
    const result = `${str.slice(0, str.indexOf('пиво') - 1)} чай ${str.slice(str.indexOf('пиво') + 5)}`
    console.log(result)
}



// String: no tag
// Найдите в строке HTML тэг.Удалите, т.е.вырежьте его - создайте другую строку, в которой будет все символы до тэга и после него Тэг может быть любым.split и join не используйте, вместо этого используйте indexOf и slice
{
    let str = "какой-то текст в котором есть один тэг <br /> и всякое другое"
    let result = `${str.slice(0, str.indexOf('<') - 1)} ${str.slice(str.indexOf('>') + 2)}`
    console.log(result)
}



// String: big tag
// На основе предыдущего задания сделайте тэг большими буквами.split и join не используйте, вместо этого используйте indexOf и slice
{
    let str = "какой-то текст в котором есть один тэг <html> и всякое другое"
    let result = `${str.slice(0, str.indexOf('<') - 1)} ${str.slice(str.indexOf('<'), str.indexOf('>') + 1).toUpperCase()} ${str.slice(str.indexOf('>') + 2)}`
    console.log(result)
}



// String: new line
// Попросите пользователя ввести строку через prompt.prompt не позволяет вводить многострочные строки.Дадим пользователю такую возможность - Пользователь может вводить \n в качестве маркера новой строки.
// Используя split и join сделайте эту строку воистину многострочной и выведите в консоль или через alert.
{
    const str = prompt('Введите в поле ниже любую строку. Для перехода на новую строку используйте комбинацию: \n')
    let result = str.split('\\n').join('\n')
    alert(result)
}



// String: youtube
// Пусть пользователь введет любой текст с ссылкой на youtube.Используя регулярное выражение извлеките из ссылки идентификатор видоса и создайте строку с встраиваемым блоком HTML.Добавьте блок на страницу.
// объявите константу с регулярным выражением
// используйте метод match, который вернет вам массив
// извлеките из массива элемент с идентификатором видео
// изучите HTML код встраивания видео в страницу на youtube.
// используя интерполяцию строк вклейте идентификатор видео в HTML код встраивания видео
// используя document.write отправьте полученную строку на страницу.
{
    const letUrl = prompt('Вставьте в поле ниже ссылку на видео с YouTube')
    const parsUrl = letUrl.match(/http(?:s?):\/\/(?:www\.)?youtu(?:be\.com\/watch\?v=|\.be\/)([\w\-\_]*)(&(amp;)?‌​[\w\?‌​=]*)?/)[1]
    document.write(`<iframe width = "560" height = "315" src = "https://www.youtube.com/embed/${parsUrl} " title = "YouTube video player" frameborder = "0" allow = "accelerometer; autoplay; clipboard - write; encrypted - media; gyroscope; picture -in -picture" allowfullscreen></iframe>`)
}